Summary: Enhanced c-shell
Name: tcsh
Version: 6.07.02
Release: 1
Copyright: distributable
Group: Shells
Source: tesla.ee.cornell.edu:/pub/tcsh/tcsh-6.07.tar.gz
BuildRoot: /tmp/tcsh-root

%description
'tcsh' is an enhanced version of csh (the C shell), with additional
features such as command history, filename completion,
and fancier prompts. 

%prep
rm -rf tcsh-6.07.02
tar zxvf $RPM_SOURCE_DIR/tcsh-6.07.tar.gz
patch -p0 <<'EOF'
diff -cr tcsh-6.07.02-old/Makefile.in tcsh-6.07.02/Makefile.in
*** tcsh-6.07.02-old/Makefile.in	Fri Oct 11 12:31:59 1996
--- tcsh-6.07.02/Makefile.in	Fri May 16 12:24:36 1997
***************
*** 261,270 ****
  PARALLEL=12				# Make the multi-max run fast.
  #P=&					# Use Sequent's parallel make
  P=
! DESTDIR=/usr/local
  MANSECT=1
  DESTBIN=${DESTDIR}/bin
! DESTMAN=${DESTDIR}/man/man${MANSECT}
  # DESTMAN=${DESTDIR}/catman/man${MANSECT}	 # A/UX
  # DESTMAN=${DESTDIR}/usr/share/man/man${MANSECT} # Stardent Vistra (SysVR4)
  # DESTMAN=/usr/catman/1l			 # Amiga unix (SysVR4)
--- 261,270 ----
  PARALLEL=12				# Make the multi-max run fast.
  #P=&					# Use Sequent's parallel make
  P=
! DESTDIR=
  MANSECT=1
  DESTBIN=${DESTDIR}/bin
! DESTMAN=${DESTDIR}/usr/man/man${MANSECT}
  # DESTMAN=${DESTDIR}/catman/man${MANSECT}	 # A/UX
  # DESTMAN=${DESTDIR}/usr/share/man/man${MANSECT} # Stardent Vistra (SysVR4)
  # DESTMAN=/usr/catman/1l			 # Amiga unix (SysVR4)
diff -cr tcsh-6.07.02-old/pathnames.h tcsh-6.07.02/pathnames.h
*** tcsh-6.07.02-old/pathnames.h	Fri Apr 26 14:18:42 1996
--- tcsh-6.07.02/pathnames.h	Fri May 16 12:23:47 1997
***************
*** 141,147 ****
  #endif /* !_PATH_CSHELL */
  
  #ifndef _PATH_TCSHELL
! #  define _PATH_TCSHELL		"/usr/local/bin/tcsh"
  #endif /* !_PATH_TCSHELL */
  
  #ifndef _PATH_BIN_LOGIN
--- 141,147 ----
  #endif /* !_PATH_CSHELL */
  
  #ifndef _PATH_TCSHELL
! #  define _PATH_TCSHELL		"/bin/tcsh"
  #endif /* !_PATH_TCSHELL */
  
  #ifndef _PATH_BIN_LOGIN
EOF

%build
cd tcsh-6.07.02
./configure
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT/bin
mkdir $RPM_BUILD_ROOT/usr
mkdir $RPM_BUILD_ROOT/usr/doc
mkdir $RPM_BUILD_ROOT/usr/man
mkdir $RPM_BUILD_ROOT/usr/man/man1

cd tcsh-6.07.02

make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT install.man

%post
if [ ! -f /etc/shells ]; then
	echo "/bin/tcsh" > /etc/shells
else
	if ! grep '^/bin/tcsh$' /etc/shells > /dev/null; then
		echo "/bin/tcsh" >> /etc/shells
	fi
fi
if [ ! -f /bin/csh ]; then
	ln -sf tcsh /bin/csh
fi

%postun
if [ ! -x /bin/tcsh ]; then
	grep -v '^/bin/tcsh' /etc/shells > /tmp/shells.rpm
	mv /tmp/shells.rpm /etc/shells
fi

%files
%doc tcsh-6.07.02/NewThings
/bin/tcsh
/usr/man/man1/tcsh.1
